org.apache.commons.math

## Class MathRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.math.MathRuntimeException

- All Implemented Interfaces:
    java.io.Serializable, MathThrowable
  Direct Known Subclasses:
    InvalidMatrixException, MatrixIndexException, MatrixVisitorException

      public class MathRuntimeException
      extends java.lang.RuntimeException
      implements MathThrowable

  Base class for commons-math unchecked exceptions.
  Since:
    2.0
  Version:
    $Revision: 1070725 $ $Date: 2011-02-15 02:31:12 +0100 (mar. 15 févr. 2011) $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object[]` | `arguments` Arguments used to build the message.
    `private Localizable` | `pattern` Pattern used to build the message.
    `private static long` | `serialVersionUID` Serializable version identifier.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MathRuntimeException(Localizable pattern, java.lang.Object... arguments)` Constructs a new `MathRuntimeException` with specified formatted detail message.
    `MathRuntimeException(java.lang.String pattern, java.lang.Object... arguments)` Deprecated. as of 2.2 replaced by `MathRuntimeException(Localizable, Object...)`
    `MathRuntimeException(java.lang.Throwable rootCause)` Constructs a new `MathRuntimeException` with specified nested `Throwable` root cause.
    `MathRuntimeException(java.lang.Throwable rootCause, Localizable pattern, java.lang.Object... arguments)` Constructs a new `MathRuntimeException` with specified formatted detail message and nested `Throwable` root cause.
    `MathRuntimeException(java.lang.Throwable rootCause, java.lang.String pattern, java.lang.Object... arguments)` Deprecated. as of 2.2 replaced by `MathRuntimeException(Throwable, Localizable, Object...)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static java.lang.String` | `buildMessage(java.util.Locale locale, Localizable pattern, java.lang.Object... arguments)` Builds a message string by from a pattern and its arguments.
    `static java.lang.ArithmeticException` | `createArithmeticException(Localizable pattern, java.lang.Object... arguments)` Constructs a new `ArithmeticException` with specified formatted detail message.
    `static java.lang.ArithmeticException` | `createArithmeticException(java.lang.String pattern, java.lang.Object... arguments)` Deprecated. as of 2.2 replaced by `createArithmeticException(Localizable, Object...)`
    `static java.lang.ArrayIndexOutOfBoundsException` | `createArrayIndexOutOfBoundsException(Localizable pattern, java.lang.Object... arguments)` Constructs a new `ArrayIndexOutOfBoundsException` with specified formatted detail message.
    `static java.lang.ArrayIndexOutOfBoundsException` | `createArrayIndexOutOfBoundsException(java.lang.String pattern, java.lang.Object... arguments)` Deprecated. as of 2.2 replaced by `createArrayIndexOutOfBoundsException(Localizable, Object...)`
    `static java.util.ConcurrentModificationException` | `createConcurrentModificationException(Localizable pattern, java.lang.Object... arguments)` Constructs a new `ConcurrentModificationException` with specified formatted detail message.
    `static java.util.ConcurrentModificationException` | `createConcurrentModificationException(java.lang.String pattern, java.lang.Object... arguments)` Deprecated. as of 2.2 replaced by `createConcurrentModificationException(Localizable, Object...)`
    `static java.io.EOFException` | `createEOFException(Localizable pattern, java.lang.Object... arguments)` Constructs a new `EOFException` with specified formatted detail message.
    `static java.io.EOFException` | `createEOFException(java.lang.String pattern, java.lang.Object... arguments)` Deprecated. as of 2.2 replaced by `createEOFException(Localizable, Object...)`
    `static java.lang.IllegalArgumentException` | `createIllegalArgumentException(Localizable pattern, java.lang.Object... arguments)` Constructs a new `IllegalArgumentException` with specified formatted detail message.
    `static java.lang.IllegalArgumentException` | `createIllegalArgumentException(java.lang.String pattern, java.lang.Object... arguments)` Deprecated. as of 2.2 replaced by `createIllegalArgumentException(Localizable, Object...)`
    `static java.lang.IllegalArgumentException` | `createIllegalArgumentException(java.lang.Throwable rootCause)` Constructs a new `IllegalArgumentException` with specified nested `Throwable` root cause.
    `static java.lang.IllegalStateException` | `createIllegalStateException(Localizable pattern, java.lang.Object... arguments)` Constructs a new `IllegalStateException` with specified formatted detail message.
    `static java.lang.IllegalStateException` | `createIllegalStateException(java.lang.String pattern, java.lang.Object... arguments)` Deprecated. as of 2.2 replaced by `createIllegalStateException(Localizable, Object...)`
    `static java.lang.RuntimeException` | `createInternalError(java.lang.Throwable cause)` Create an `RuntimeException` for an internal error.
    `static java.io.IOException` | `createIOException(java.lang.Throwable rootCause)` Constructs a new `IOException` with specified nested `Throwable` root cause.
    `static java.util.NoSuchElementException` | `createNoSuchElementException(Localizable pattern, java.lang.Object... arguments)` Constructs a new `NoSuchElementException` with specified formatted detail message.
    `static java.util.NoSuchElementException` | `createNoSuchElementException(java.lang.String pattern, java.lang.Object... arguments)` Deprecated. as of 2.2 replaced by `createNoSuchElementException(Localizable, Object...)`
    `static java.lang.NullPointerException` | `createNullPointerException(Localizable pattern, java.lang.Object... arguments)` Deprecated. in 2.2. Checks for "null" must not be performed in Commons-Math.
    `static java.lang.NullPointerException` | `createNullPointerException(java.lang.String pattern, java.lang.Object... arguments)` Deprecated. as of 2.2 replaced by `createNullPointerException(Localizable, Object...)`
    `static java.text.ParseException` | `createParseException(int offset, Localizable pattern, java.lang.Object... arguments)` Constructs a new `ParseException` with specified formatted detail message.
    `static java.text.ParseException` | `createParseException(int offset, java.lang.String pattern, java.lang.Object... arguments)` Deprecated. as of 2.2 replaced by `createParseException(int, Localizable, Object...)`
    `static java.lang.UnsupportedOperationException` | `createUnsupportedOperationException(Localizable pattern, java.lang.Object... arguments)` Deprecated. in 2.2. Please use `MathUnsupportedOperationException` instead.
    `java.lang.Object[]` | `getArguments()` Gets the arguments used to build the message of this throwable.
    `Localizable` | `getGeneralPattern()` Gets the localizable pattern used to build the general part of the message of this throwable.
    `java.lang.String` | `getLocalizedMessage()` Gets the message in the system default locale.
    `java.lang.String` | `getMessage()` Gets the message in a conventional US locale.
    `java.lang.String` | `getMessage(java.util.Locale locale)` Gets the message in a specified locale.
    `java.lang.String` | `getPattern()` Deprecated. as of 2.2 replaced by `getSpecificPattern()` and `getGeneralPattern()`
    `Localizable` | `getSpecificPattern()` Gets the localizable pattern used to build the specific part of the message of this throwable.
    `void` | `printStackTrace()` Prints the stack trace of this exception to the standard error stream.
    `void` | `printStackTrace(java.io.PrintStream out)` Prints the stack trace of this exception to the specified stream.

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version identifier.
      See Also:
        Constant Field Values

    - #### pattern

          private final Localizable pattern

      Pattern used to build the message.

    - #### arguments

          private final java.lang.Object[] arguments

      Arguments used to build the message.

  - ### Constructor Detail

    - #### MathRuntimeException

          @Deprecated
          public MathRuntimeException(java.lang.String pattern,
                                         java.lang.Object... arguments)

      Deprecated. as of 2.2 replaced by `MathRuntimeException(Localizable, Object...)`
      Constructs a new `MathRuntimeException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments

    - #### MathRuntimeException

          public MathRuntimeException(Localizable pattern,
                              java.lang.Object... arguments)

      Constructs a new `MathRuntimeException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Since:
        2.2

    - #### MathRuntimeException

          public MathRuntimeException(java.lang.Throwable rootCause)

      Constructs a new `MathRuntimeException` with specified nested `Throwable` root cause.
      Parameters:
        `rootCause` - the exception or error that caused this exception to be thrown.

    - #### MathRuntimeException

          @Deprecated
          public MathRuntimeException(java.lang.Throwable rootCause,
                                         java.lang.String pattern,
                                         java.lang.Object... arguments)

      Deprecated. as of 2.2 replaced by `MathRuntimeException(Throwable, Localizable, Object...)`
      Constructs a new `MathRuntimeException` with specified formatted detail message and nested `Throwable` root cause. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `rootCause` - the exception or error that caused this exception to be thrown.
        `pattern` - format specifier
        `arguments` - format arguments

    - #### MathRuntimeException

          public MathRuntimeException(java.lang.Throwable rootCause,
                              Localizable pattern,
                              java.lang.Object... arguments)

      Constructs a new `MathRuntimeException` with specified formatted detail message and nested `Throwable` root cause. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `rootCause` - the exception or error that caused this exception to be thrown.
        `pattern` - format specifier
        `arguments` - format arguments
      Since:
        2.2

  - ### Method Detail

    - #### buildMessage

          private static java.lang.String buildMessage(java.util.Locale locale,
                                      Localizable pattern,
                                      java.lang.Object... arguments)

      Builds a message string by from a pattern and its arguments.
      Parameters:
        `locale` - Locale in which the message should be translated
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        a message string
      Since:
        2.2

    - #### getPattern

          @Deprecated
          public java.lang.String getPattern()

      Deprecated. as of 2.2 replaced by `getSpecificPattern()` and `getGeneralPattern()`
      Gets the pattern used to build the message of this throwable.
      Returns:
        the pattern used to build the message of this throwable

    - #### getSpecificPattern

          public Localizable getSpecificPattern()

      Gets the localizable pattern used to build the specific part of the message of this throwable.
      Specified by:
        `getSpecificPattern` in interface `MathThrowable`
      Returns:
        localizable pattern used to build the specific part of the message of this throwable
      Since:
        2.2

    - #### getGeneralPattern

          public Localizable getGeneralPattern()

      Gets the localizable pattern used to build the general part of the message of this throwable.
      Specified by:
        `getGeneralPattern` in interface `MathThrowable`
      Returns:
        localizable pattern used to build the general part of the message of this throwable
      Since:
        2.2

    - #### getArguments

          public java.lang.Object[] getArguments()

      Gets the arguments used to build the message of this throwable.
      Specified by:
        `getArguments` in interface `MathThrowable`
      Returns:
        the arguments used to build the message of this throwable

    - #### getMessage

          public java.lang.String getMessage(java.util.Locale locale)

      Gets the message in a specified locale.
      Specified by:
        `getMessage` in interface `MathThrowable`
      Parameters:
        `locale` - Locale in which the message should be translated
      Returns:
        localized message

    - #### getMessage

          public java.lang.String getMessage()

      Gets the message in a conventional US locale.
      Specified by:
        `getMessage` in interface `MathThrowable`
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        localized message

    - #### getLocalizedMessage

          public java.lang.String getLocalizedMessage()

      Gets the message in the system default locale.
      Specified by:
        `getLocalizedMessage` in interface `MathThrowable`
      Overrides:
        `getLocalizedMessage` in class `java.lang.Throwable`
      Returns:
        localized message

    - #### printStackTrace

          public void printStackTrace()

      Prints the stack trace of this exception to the standard error stream.
      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

    - #### printStackTrace

          public void printStackTrace(java.io.PrintStream out)

      Prints the stack trace of this exception to the specified stream.
      Overrides:
        `printStackTrace` in class `java.lang.Throwable`
      Parameters:
        `out` - the `PrintStream` to use for output

    - #### createArithmeticException

          @Deprecated
          public static java.lang.ArithmeticException createArithmeticException(java.lang.String pattern,
                                                                           java.lang.Object... arguments)

      Deprecated. as of 2.2 replaced by `createArithmeticException(Localizable, Object...)`
      Constructs a new `ArithmeticException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception

    - #### createArithmeticException

          public static java.lang.ArithmeticException createArithmeticException(Localizable pattern,
                                                                java.lang.Object... arguments)

      Constructs a new `ArithmeticException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception
      Since:
        2.2

    - #### createArrayIndexOutOfBoundsException

          @Deprecated
          public static java.lang.ArrayIndexOutOfBoundsException createArrayIndexOutOfBoundsException(java.lang.String pattern,
                                                                                                 java.lang.Object... arguments)

      Deprecated. as of 2.2 replaced by `createArrayIndexOutOfBoundsException(Localizable, Object...)`
      Constructs a new `ArrayIndexOutOfBoundsException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception

    - #### createArrayIndexOutOfBoundsException

          public static java.lang.ArrayIndexOutOfBoundsException createArrayIndexOutOfBoundsException(Localizable pattern,
                                                                                      java.lang.Object... arguments)

      Constructs a new `ArrayIndexOutOfBoundsException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception
      Since:
        2.2

    - #### createEOFException

          @Deprecated
          public static java.io.EOFException createEOFException(java.lang.String pattern,
                                                           java.lang.Object... arguments)

      Deprecated. as of 2.2 replaced by `createEOFException(Localizable, Object...)`
      Constructs a new `EOFException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception

    - #### createEOFException

          public static java.io.EOFException createEOFException(Localizable pattern,
                                                java.lang.Object... arguments)

      Constructs a new `EOFException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception
      Since:
        2.2

    - #### createIOException

          public static java.io.IOException createIOException(java.lang.Throwable rootCause)

      Constructs a new `IOException` with specified nested `Throwable` root cause.

      This factory method allows chaining of other exceptions within an `IOException` even for Java 5. The constructor for `IOException` with a cause parameter was introduced only with Java 6.

      Parameters:
        `rootCause` - the exception or error that caused this exception to be thrown.
      Returns:
        built exception

    - #### createIllegalArgumentException

          @Deprecated
          public static java.lang.IllegalArgumentException createIllegalArgumentException(java.lang.String pattern,
                                                                                     java.lang.Object... arguments)

      Deprecated. as of 2.2 replaced by `createIllegalArgumentException(Localizable, Object...)`
      Constructs a new `IllegalArgumentException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception

    - #### createIllegalArgumentException

          public static java.lang.IllegalArgumentException createIllegalArgumentException(Localizable pattern,
                                                                          java.lang.Object... arguments)

      Constructs a new `IllegalArgumentException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception
      Since:
        2.2

    - #### createIllegalArgumentException

          public static java.lang.IllegalArgumentException createIllegalArgumentException(java.lang.Throwable rootCause)

      Constructs a new `IllegalArgumentException` with specified nested `Throwable` root cause.
      Parameters:
        `rootCause` - the exception or error that caused this exception to be thrown.
      Returns:
        built exception

    - #### createIllegalStateException

          @Deprecated
          public static java.lang.IllegalStateException createIllegalStateException(java.lang.String pattern,
                                                                               java.lang.Object... arguments)

      Deprecated. as of 2.2 replaced by `createIllegalStateException(Localizable, Object...)`
      Constructs a new `IllegalStateException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception

    - #### createIllegalStateException

          public static java.lang.IllegalStateException createIllegalStateException(Localizable pattern,
                                                                    java.lang.Object... arguments)

      Constructs a new `IllegalStateException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception
      Since:
        2.2

    - #### createConcurrentModificationException

          @Deprecated
          public static java.util.ConcurrentModificationException createConcurrentModificationException(java.lang.String pattern,
                                                                                                   java.lang.Object... arguments)

      Deprecated. as of 2.2 replaced by `createConcurrentModificationException(Localizable, Object...)`
      Constructs a new `ConcurrentModificationException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception

    - #### createConcurrentModificationException

          public static java.util.ConcurrentModificationException createConcurrentModificationException(Localizable pattern,
                                                                                        java.lang.Object... arguments)

      Constructs a new `ConcurrentModificationException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception
      Since:
        2.2

    - #### createNoSuchElementException

          @Deprecated
          public static java.util.NoSuchElementException createNoSuchElementException(java.lang.String pattern,
                                                                                 java.lang.Object... arguments)

      Deprecated. as of 2.2 replaced by `createNoSuchElementException(Localizable, Object...)`
      Constructs a new `NoSuchElementException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception

    - #### createNoSuchElementException

          public static java.util.NoSuchElementException createNoSuchElementException(Localizable pattern,
                                                                      java.lang.Object... arguments)

      Constructs a new `NoSuchElementException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception
      Since:
        2.2

    - #### createUnsupportedOperationException

          @Deprecated
          public static java.lang.UnsupportedOperationException createUnsupportedOperationException(Localizable pattern,
                                                                                               java.lang.Object... arguments)

      Deprecated. in 2.2. Please use `MathUnsupportedOperationException` instead.
      Constructs a new `UnsupportedOperationException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception
      Since:
        2.2

    - #### createNullPointerException

          @Deprecated
          public static java.lang.NullPointerException createNullPointerException(java.lang.String pattern,
                                                                             java.lang.Object... arguments)

      Deprecated. as of 2.2 replaced by `createNullPointerException(Localizable, Object...)`
      Constructs a new `NullPointerException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception

    - #### createNullPointerException

          @Deprecated
          public static java.lang.NullPointerException createNullPointerException(Localizable pattern,
                                                                             java.lang.Object... arguments)

      Deprecated. in 2.2. Checks for "null" must not be performed in Commons-Math.
      Constructs a new `NullPointerException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception
      Since:
        2.2

    - #### createParseException

          @Deprecated
          public static java.text.ParseException createParseException(int offset,
                                                                 java.lang.String pattern,
                                                                 java.lang.Object... arguments)

      Deprecated. as of 2.2 replaced by `createParseException(int, Localizable, Object...)`
      Constructs a new `ParseException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `offset` - offset at which error occurred
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception

    - #### createParseException

          public static java.text.ParseException createParseException(int offset,
                                                      Localizable pattern,
                                                      java.lang.Object... arguments)

      Constructs a new `ParseException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `offset` - offset at which error occurred
        `pattern` - format specifier
        `arguments` - format arguments
      Returns:
        built exception
      Since:
        2.2

    - #### createInternalError

          public static java.lang.RuntimeException createInternalError(java.lang.Throwable cause)

      Create an `RuntimeException` for an internal error.
      Parameters:
        `cause` - underlying cause
      Returns:
        an `RuntimeException` for an internal error

Copyright (c) 2003-2013 Apache Software Foundation